commit:     0d2297018938fbfbe03950ae36919702db872002
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 14:12:48 2017 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Tue May 16 14:12:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d229701

net-mail/cyrus-imapd: bump to 3.0.1 - bug 613874

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 net-mail/cyrus-imapd/Manifest                      |   1 +
 net-mail/cyrus-imapd/cyrus-imapd-3.0.1.ebuild      | 203 +++++++++++++++++++++
 .../cyrus-imapd/files/cyrus-imapd-fix-tests.patch  |  21 +++
 .../files/cyrus-imapd-sieve-libs-v3.patch          | 127 +++++++++++++
 net-mail/cyrus-imapd/metadata.xml                  |   8 +-
 5 files changed, 359 insertions(+), 1 deletion(-)

diff --git a/net-mail/cyrus-imapd/Manifest b/net-mail/cyrus-imapd/Manifest
index 3f392aa24cf..bee93e3f91b 100644
--- a/net-mail/cyrus-imapd/Manifest
+++ b/net-mail/cyrus-imapd/Manifest
@@ -6,3 +6,4 @@ DIST cyrus-imapd-2.5.11.tar.gz 3109188 SHA256 
36a79117b320c78d62bc6842c3024d970d
 DIST cyrus-imapd-2.5.7.tar.gz 2928358 SHA256 
f06c2c030b16b70145fecdf7edaa0f2ef6bf690b0d8fd6e2c62d95af303d68da SHA512 
7514779cb3e36fb76bddfd12c7ec8d986609af671f8a1f0f3ae5007f5a7aa80c3c440bfbc8e7766d4de178dd5aa704076401b35cb5f03a2e25d2ea97ccbc7642
 WHIRLPOOL 
4db36b3fb27751d15cb74e63272c0adaa8348a90d7e9c4cb9c027837477e22347fce912b3e73c669a30a6b0c9de879644f146f7261eacd90fd237218051e1777
 DIST cyrus-imapd-2.5.8.tar.gz 3069068 SHA256 
664dd0a4eccfbf810ec74ccac1766c64e7db87f028f9066ae135390ab0d5c888 SHA512 
e9c94696b980c7b10c52ee2c46f2dbdadc633a63ad943ebd5002c2052b13a64d8917e4e0ac4e4ae44a1f553e1fda02010840c9053c936374c06c7e88e09302ef
 WHIRLPOOL 
e8dcf43e694a8f91ab610d831ecddd516ebf1773b7543b15ba1b0e32fae7388681a9e0698951862efebb01e4894e6f40b29eae665dd36f16bf26d31583fe9822
 DIST cyrus-imapd-2.5.9.tar.gz 3097555 SHA256 
8e1bb6cc373bf318b5895b299c8344eaecbfb83db4566182f5d57f2707bce23d SHA512 
aad575b7bf8afb4664bb321c2e9ae2be8d9ec6998341a7ca5582db7d27b2b727376693d5e1ac776c26cbd8dc12d8e299f981a33fc0aab8d802832cbf927e454f
 WHIRLPOOL 
1fb97a70dec59f69b60d72282939d4ff85b820e988b0770c46e2b8d9878dae2c541bd5523042c9a1e9c783e32b7d45fa6c9f668fd2bc5ea2e611ef0d5331563b
+DIST cyrus-imapd-3.0.1.tar.gz 10515460 SHA256 
24a9886aa6bbe001484a54b29309ff99415c0f355b98325ebb29ad61fff5e257 SHA512 
0a2bf13b4793e642f3df53231fd66774e0c5ad753b436a7fb0645db6ee70121d0da245038527cc58cb078255fec3e7b32a6230c196cceea040f74813ef78e337
 WHIRLPOOL 
830284e3d96b2d34d88350f8e65de2cac28c34c9d302dc7fe4247022c5d96251d72989714062408cfcf08828650a7b67aecfb1672165fed344b2e98c2dc06265

diff --git a/net-mail/cyrus-imapd/cyrus-imapd-3.0.1.ebuild 
b/net-mail/cyrus-imapd/cyrus-imapd-3.0.1.ebuild
new file mode 100644
index 00000000000..c5a0435e386
--- /dev/null
+++ b/net-mail/cyrus-imapd/cyrus-imapd-3.0.1.ebuild
@@ -0,0 +1,203 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools pam ssl-cert user
+
+MY_P=${P/_/}
+
+DESCRIPTION="The Cyrus IMAP Server"
+HOMEPAGE="http://www.cyrusimap.org/";
+SRC_URI="ftp://ftp.cyrusimap.org/cyrus-imapd/${MY_P}.tar.gz";
+
+LICENSE="BSD-with-attribution"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="afs backup calalarm caps clamav http jmap kerberos ldap lmdb \
+       mysql nntp pam perl postgres replication +server sieve snmp \
+       sphinx sqlite ssl static-libs tcpd test xapian"
+
+# virtual/mysql-5.5 added for the --variable= option below
+CDEPEND="sys-libs/zlib
+       dev-libs/libpcre
+       >=dev-libs/cyrus-sasl-2.1.13
+       dev-libs/jansson
+       dev-libs/icu:=
+       afs? ( net-fs/openafs )
+       caps? ( sys-libs/libcap )
+       clamav? ( app-antivirus/clamav )
+       http? ( dev-libs/libxml2 dev-libs/libical )
+       kerberos? ( virtual/krb5 )
+       ldap? ( net-nds/openldap )
+       lmdb? ( dev-db/lmdb )
+       mysql? ( >=virtual/mysql-5.5 )
+       nntp? ( !net-nntp/leafnode )
+       pam? (
+                       virtual/pam
+                       >=net-mail/mailbase-1
+               )
+       perl? ( dev-lang/perl:= )
+       postgres? ( dev-db/postgresql:* )
+       snmp? ( >=net-analyzer/net-snmp-5.2.2-r1 )
+       ssl? ( >=dev-libs/openssl-1.0.1e:0[-bindist] )
+       sqlite? ( dev-db/sqlite:3 )
+       tcpd? ( >=sys-apps/tcp-wrappers-7.6 snmp? ( 
net-analyzer/net-snmp[tcpd=] ) )
+       xapian? ( >=dev-libs/xapian-1.4.0 )"
+
+DEPEND="${CDEPEND}
+       test? ( dev-util/cunit )"
+
+# all blockers really needed?
+RDEPEND="${CDEPEND}
+       !mail-mta/courier
+       !net-mail/bincimap
+       !net-mail/courier-imap
+       !net-mail/uw-imap
+       !net-mail/cyrus-imap-admin"
+
+REQUIRED_USE="afs? ( kerberos )
+       backup? ( sqlite )
+       calalarm? ( http )
+       http? ( sqlite )
+       jmap? ( http xapian )
+       sphinx? ( mysql )"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       enewuser cyrus -1 -1 /usr/cyrus mail
+}
+
+src_prepare() {
+       # bug 604470
+       eapply -p1 "${FILESDIR}/${PN}-sieve-libs-v3.patch"
+       eapply -p1 "${FILESDIR}/${PN}-fix-tests.patch"
+       # Fix master(8)->cyrusmaster(8) manpage.
+       for i in `grep -rl -e 'master\.8' -e 'master(8)' "${S}"` ; do
+               sed -i -e 's:master\.8:cyrusmaster.8:g' \
+                       -e 's:master(8):cyrusmaster(8):g' \
+                       "${i}" || die "sed failed" || die "sed failed"
+       done
+       mv man/master.8 man/cyrusmaster.8 || die "mv failed"
+       sed -i -e "s:MASTER:CYRUSMASTER:g" \
+               -e "s:Master:Cyrusmaster:g" \
+               -e "s:master:cyrusmaster:g" \
+               man/cyrusmaster.8 || die "sed failed"
+
+       # lock.h to afs/lock.h
+       sed -i -e '/lock.h/s:lock.h:afs/lock.h:' \
+               ptclient/afskrb.c || die
+
+       eapply_user
+       eautoreconf
+}
+
+src_configure() {
+       local myconf
+       if use afs ; then
+               myconf+=" --with-afs-libdir=/usr/$(get_libdir)"
+               myconf+=" --with-afs-incdir=/usr/include/afs"
+       fi
+       econf \
+               --enable-unit-tests \
+               --enable-murder \
+               --enable-idled \
+               --enable-event-notification \
+               --enable-autocreate \
+               --enable-pcre \
+               --with-cyrus-user=cyrus \
+               --with-cyrus-group=mail \
+               --with-com_err=yes \
+               --with-sasl \
+               --without-krb \
+               --without-krbdes \
+               --enable-squat \
+               --with-zlib \
+               $(use_enable afs) \
+               $(use_enable afs krb5afspts) \
+               $(use_enable backup) \
+               $(use_enable calalarm calalarmd) \
+               $(use_with caps libcap) \
+               $(use_with clamav) \
+               $(use_enable jmap) \
+               $(use_enable nntp) \
+               $(use_enable http) \
+               $(use_enable replication) \
+               $(use_enable kerberos gssapi) \
+               $(use_with ldap) \
+               $(use_with lmdb) \
+               $(use_with mysql) \
+               $(use_with postgres pgsql) \
+               $(use_with perl) \
+               $(use_with sqlite) \
+               $(use_with ssl openssl) \
+               $(use_enable server) \
+               $(use_enable sieve) \
+               $(use_with snmp) \
+               $(use_enable sphinx) \
+               $(use_enable static-libs static) \
+               $(use_with tcpd libwrap) \
+               $(use_enable xapian) \
+               ${myconf}
+}
+
+src_install() {
+       emake DESTDIR="${D}" INSTALLDIRS=vendor install
+
+       dodoc README*
+       dodoc -r doc
+       cp -r contrib tools "${D}/usr/share/doc/${PF}"
+       rm -f doc/text/Makefile*
+
+       insinto /etc
+       doins "${FILESDIR}/cyrus.conf" "${FILESDIR}/imapd.conf"
+
+       # turn off sieve if not installed
+       if ! use sieve; then
+               sed -i -e "/sieve/s/^/#/" "${D}/etc/cyrus.conf" || die
+       fi
+
+       newinitd "${FILESDIR}/cyrus.rc6" cyrus
+       newconfd "${FILESDIR}/cyrus.confd" cyrus
+       newpamd "${FILESDIR}/cyrus.pam-include" sieve
+
+       for subdir in imap/{,db,log,msg,proc,socket,sieve} spool/imap/{,stage.} 
; do
+               keepdir "/var/${subdir}"
+               fowners cyrus:mail "/var/${subdir}"
+               fperms 0750 "/var/${subdir}"
+       done
+       for subdir in imap/{user,quota,sieve} spool/imap ; do
+               for i in a b c d e f g h i j k l m n o p q r s t v u w x y z ; 
do
+                       keepdir "/var/${subdir}/${i}"
+                       fowners cyrus:mail "/var/${subdir}/${i}"
+                       fperms 0750 "/var/${subdir}/${i}"
+               done
+       done
+}
+
+pkg_preinst() {
+       if ! has_version ${CATEGORY}/${PN} ; then
+               elog "For correct logging add the following to 
/etc/syslog.conf:"
+               elog "    local6.*         /var/log/imapd.log"
+               elog "    auth.debug       /var/log/auth.log"
+               echo
+
+               elog "You have to add user cyrus to the sasldb2. Do this with:"
+               elog "    saslpasswd2 cyrus"
+       fi
+}
+
+pkg_postinst() {
+       # do not install server.{key,pem) if they exist
+       if use ssl ; then
+               if [ ! -f "${ROOT}"etc/ssl/cyrus/server.key ]; then
+                       install_cert /etc/ssl/cyrus/server
+                       chown cyrus:mail "${ROOT}"etc/ssl/cyrus/server.{key,pem}
+               fi
+       fi
+
+       echo
+       ewarn "Please see http://www.cyrusimap.org/imap/download/upgrade.html";
+       ewarn "for upgrade instructions."
+       echo
+}

diff --git a/net-mail/cyrus-imapd/files/cyrus-imapd-fix-tests.patch 
b/net-mail/cyrus-imapd/files/cyrus-imapd-fix-tests.patch
new file mode 100644
index 00000000000..c32f2065db0
--- /dev/null
+++ b/net-mail/cyrus-imapd/files/cyrus-imapd-fix-tests.patch
@@ -0,0 +1,21 @@
+--- a/Makefile.am      2017-05-16 15:48:55.943709210 +0300
++++ b/Makefile.am      2017-05-16 15:50:20.950184710 +0300
+@@ -635,7 +635,6 @@
+       cunit/guid.testc \
+       cunit/hash.testc \
+       cunit/imapurl.testc \
+-      cunit/jmapauth.testc \
+       cunit/libconfig.testc \
+       cunit/mboxname.testc \
+       cunit/md5.testc \
+@@ -654,6 +653,10 @@
+ cunit_TESTS += cunit/sieve.testc
+ endif
+ 
++if JMAP
++cunit_TESTS += cunit/jmapauth.testc
++endif
++
+ cunit_TESTS += \
+       cunit/spool.testc \
+       cunit/squat.testc \

diff --git a/net-mail/cyrus-imapd/files/cyrus-imapd-sieve-libs-v3.patch 
b/net-mail/cyrus-imapd/files/cyrus-imapd-sieve-libs-v3.patch
new file mode 100644
index 00000000000..3c07a6df006
--- /dev/null
+++ b/net-mail/cyrus-imapd/files/cyrus-imapd-sieve-libs-v3.patch
@@ -0,0 +1,127 @@
+--- a/configure.ac     2017-04-20 04:21:48.000000000 +0300
++++ b/configure.ac     2017-05-16 10:30:37.337965921 +0300
+@@ -666,7 +666,9 @@
+         fi
+ 
+         if test "$cyrus_cv_pcre_utf8" = "yes"; then
+-                LIBS="$LIBS -lpcre -lpcreposix";
++                PCRE_LIBS="-lpcre -lpcreposix"
++                AC_SUBST(PCRE_LIBS)
++                LIBS="$LIBS $PCRE_LIBS"
+                 AC_DEFINE(ENABLE_REGEX, [], [Do we have a regex library?])
+                 AC_DEFINE(HAVE_PCREPOSIX_H, [], [Do we have usable pcre 
library?])
+         else
+@@ -1938,6 +1940,7 @@
+     fi
+ 
+     LIBS="${LIBS} ${SQLITE_LIBADD}"
++    AC_SUBST(SQLITE_LIBADD)
+     CPPFLAGS="${SQLITE_INCADD} ${CPPFLAGS}"
+     AC_DEFINE(HAVE_SQLITE,[],[Build in SQLite support?])
+   else
+--- a/perl/imap/Makefile.PL.in 2017-04-07 08:31:10.000000000 +0300
++++ b/perl/imap/Makefile.PL.in 2017-05-16 10:26:08.193965921 +0300
+@@ -90,7 +90,7 @@
+     'clean'   => {'FILES' => 'libcyrperl.a cyradm'},
+     'OBJECT'    => 'IMAP.o',
+     'MYEXTLIB'  => '@top_builddir@/perl/.libs/libcyrus.a 
@top_builddir@/perl/.libs/libcyrus_min.a',
+-    'LIBS'    => [ "$LIB_SASL @SSL_LIBS@ @LIB_RT@ @LIB_UUID@ @ZLIB@"],
++    'LIBS'      => [ "$LIB_SASL @SSL_LIBS@ @LIB_RT@ @LIB_UUID@ @ZLIB@ 
@PCRE_LIBS@ @SQLITE_LIBADD@"],
+     'DEFINE'  => '-DPERL_POLLUTE',    # e.g., '-DHAVE_SOMETHING' 
+     'INC'     => "-I@top_srcdir@ -I@top_srcdir@/com_err/et @SASLFLAGS@ 
@SSL_CPPFLAGS@ -I@top_srcdir@/perl/imap", 
+     'EXE_FILES' => [cyradm],
+--- a/perl/sieve/managesieve/Makefile.PL.in    2017-04-07 08:31:10.000000000 
+0300
++++ b/perl/sieve/managesieve/Makefile.PL.in    2017-05-16 10:26:31.048965921 
+0300
+@@ -69,7 +69,7 @@
+     'ABSTRACT'  => 'Cyrus Sieve management interface',
+     'VERSION_FROM' => "@top_srcdir@/perl/sieve/managesieve/managesieve.pm", # 
finds $VERSION
+     'MYEXTLIB'  => '../lib/.libs/libisieve.a 
@top_builddir@/perl/.libs/libcyrus.a @top_builddir@/perl/.libs/libcyrus_min.a',
+-    'LIBS'    => ["$LIB_SASL @SSL_LIBS@ @LIB_RT@ @LIB_UUID@ @ZLIB@"],
++    'LIBS'      => ["$LIB_SASL @SSL_LIBS@ @LIB_RT@ @LIB_UUID@ @ZLIB@ 
@PCRE_LIBS@ @SQLITE_LIBADD@"],
+     'CCFLAGS' => '@GCOV_CFLAGS@',
+     'DEFINE'  => '-DPERL_POLLUTE',     # e.g., '-DHAVE_SOMETHING' 
+     'INC'     => "-I@top_srcdir@/lib -I@top_srcdir@/perl/sieve 
-I@top_srcdir@/perl/sieve/lib @SASLFLAGS@ @SSL_CPPFLAGS@",
+--- a/configure.ac     2017-05-16 15:18:23.648756211 +0300
++++ b/configure.ac     2017-05-16 15:26:49.241756211 +0300
+@@ -633,8 +633,6 @@
+ 
+ AC_ARG_ENABLE(sieve,
+         [AS_HELP_STRING([--disable-sieve], [disable Sieve 
support])],,[enable_sieve="yes";])
+-AC_ARG_ENABLE(pcre,
+-        [AS_HELP_STRING([--disable-pcre], [disable PCRE library])])
+ 
+ if test "$enable_sieve" != "no"; then
+         AC_DEFINE(USE_SIEVE,[],[Build in Sieve support?])
+@@ -650,42 +648,46 @@
+         if test -z "$ac_cv_prog_LEX"; then
+             AC_MSG_ERROR([Sieve requires flex/lex, but none is installed])
+         fi
++fi
++AM_CONDITIONAL([SIEVE], [test "${enable_sieve}" != "no"])
++
+ 
+-        if test "$enable_pcre" != "no"; then
+-            AC_CHECK_HEADER(pcreposix.h)
+-            if test "$ac_cv_header_pcreposix_h" = "yes"; then
+-                    AC_MSG_CHECKING(for utf8 enabled pcre)
+-                    AC_CACHE_VAL(cyrus_cv_pcre_utf8, AC_TRY_CPP([#include 
<pcreposix.h>
++AC_ARG_ENABLE(pcre,
++        [AS_HELP_STRING([--disable-pcre], [disable PCRE library])])
++      
++if test "$enable_pcre" != "no"; then
++        AC_CHECK_HEADER(pcreposix.h)
++        if test "$ac_cv_header_pcreposix_h" = "yes"; then
++                AC_MSG_CHECKING(for utf8 enabled pcre)
++                AC_CACHE_VAL(cyrus_cv_pcre_utf8, AC_TRY_CPP([#include 
<pcreposix.h>
+ #ifndef REG_UTF8
+ #include </nonexistent>
+ #endif],cyrus_cv_pcre_utf8=yes,cyrus_cv_pcre_utf8=no))
+-                    AC_MSG_RESULT($cyrus_cv_pcre_utf8)
+-            else
+-                    cyrus_cv_pcre_utf8="no"
+-            fi
++                AC_MSG_RESULT($cyrus_cv_pcre_utf8)
++        else
++                cyrus_cv_pcre_utf8="no"
+         fi
++fi
+ 
+-        if test "$cyrus_cv_pcre_utf8" = "yes"; then
+-                PCRE_LIBS="-lpcre -lpcreposix"
+-                AC_SUBST(PCRE_LIBS)
+-                LIBS="$LIBS $PCRE_LIBS"
+-                AC_DEFINE(ENABLE_REGEX, [], [Do we have a regex library?])
+-                AC_DEFINE(HAVE_PCREPOSIX_H, [], [Do we have usable pcre 
library?])
++if test "$cyrus_cv_pcre_utf8" = "yes"; then
++        PCRE_LIBS="-lpcre -lpcreposix"
++        AC_SUBST(PCRE_LIBS)
++        LIBS="$LIBS $PCRE_LIBS"
++        AC_DEFINE(ENABLE_REGEX, [], [Do we have a regex library?])
++        AC_DEFINE(HAVE_PCREPOSIX_H, [], [Do we have usable pcre library?])
++else
++        AC_CHECK_HEADERS(rxposix.h)
++        if test "$ac_cv_header_rxposix_h" = "yes"; then
++                LIBS="$LIBS -lrx"
++                AC_DEFINE(ENABLE_REGEX, [],
++                          [Do we have a regex library?])
+         else
+-                AC_CHECK_HEADERS(rxposix.h)
+-                if test "$ac_cv_header_rxposix_h" = "yes"; then
+-                        LIBS="$LIBS -lrx"
+-                        AC_DEFINE(ENABLE_REGEX, [],
+-                                  [Do we have a regex library?])
+-                else
+-                        AC_SEARCH_LIBS(regcomp, regex,
+-                                        AC_DEFINE(ENABLE_REGEX, [],
+-                                        [Do we have a regex library?]), [])
+-                fi
++                AC_SEARCH_LIBS(regcomp, regex,
++                    AC_DEFINE(ENABLE_REGEX, [],
++                        [Do we have a regex library?]), [])
+         fi
+ fi
+ 
+-AM_CONDITIONAL([SIEVE], [test "${enable_sieve}" != "no"])
+ 
+ dnl look for an option to disable sign-comparison warnings (needed for
+ dnl flex-generated sieve sources when building with -Werror)

diff --git a/net-mail/cyrus-imapd/metadata.xml 
b/net-mail/cyrus-imapd/metadata.xml
index 7b08e190232..f21a8fca8af 100644
--- a/net-mail/cyrus-imapd/metadata.xml
+++ b/net-mail/cyrus-imapd/metadata.xml
@@ -6,9 +6,15 @@
   <name>Net-Mail</name>
   </maintainer>
   <use>
-       <flag name="replication">Enable replication support in the cyrus imap 
server</flag>
+       <flag name="replication">Enable replication support</flag>
        <flag name="sieve">Enable sieve support</flag>
        <flag name="http">Enable http support</flag>
        <flag name="server">Enable building server binaries</flag>
+       <flag name="backup">Enable backup service support</flag>
+       <flag name="calalarm">Enable CalDAV alarm support</flag>
+       <flag name="jmap">Enable JMAP support</flag>
+       <flag name="sphinx">Enable Sphinx search engine support</flag>
+       <flag name="xapian">Enable Xapian search engine support</flag>
+       <flag name="lmdb">Enable support for using <pkg>dev-db/lmdb</pkg></flag>
   </use>
 </pkgmetadata>

Reply via email to